
import * as React from 'react';
import {
  Table,
  TableBody,
  TableHeader,
  TableHeaderColumn,
  TableRow,
  TableRowColumn,
} from 'material-ui/Table';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';


export class TargetTable extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);

    this.state = {
        finished: false,
        stepIndex: 0,
        selectedTarget: 0,
        selectedSensors : []
    };
  }

  render() {

    var Columns = ["ID", "Name", "Status"]

    var objs = [
      {
        id:1,
        name:"John Smith",
        status:"Employed"
      },
      {
        id:2,
        name:"John Male",
        status:"Unemployed"
      },
      {
        id:3,
        name:"John Curter",
        status:"Employed"
      },
      {
        id:4,
        name:"John Son",
        status:"Unemployed"
      }
    ]

    return (
      <MuiThemeProvider >
        <div>
          <Table>
            <TableHeader>
              <TableRow>
                {/*<TableHeaderColumn>ID</TableHeaderColumn>
                <TableHeaderColumn>Name</TableHeaderColumn>
                <TableHeaderColumn>Status</TableHeaderColumn>*/
                Columns.map(function(item) {
                  return (<TableHeaderColumn>{item}</TableHeaderColumn>)
                })

                }
              </TableRow>
            </TableHeader>
            <TableBody>
              {

              }
              <TableRow>
                <TableRowColumn>1</TableRowColumn>
                <TableRowColumn>John Smith</TableRowColumn>
                <TableRowColumn>Employed</TableRowColumn>
              </TableRow>
              <TableRow>
                <TableRowColumn>2</TableRowColumn>
                <TableRowColumn>Randal White</TableRowColumn>
                <TableRowColumn>Unemployed</TableRowColumn>
              </TableRow>
              <TableRow>
                <TableRowColumn>3</TableRowColumn>
                <TableRowColumn>Stephanie Sanders</TableRowColumn>
                <TableRowColumn>Employed</TableRowColumn>
              </TableRow>
              <TableRow>
                <TableRowColumn>4</TableRowColumn>
                <TableRowColumn>Steve Brown</TableRowColumn>
                <TableRowColumn>Employed</TableRowColumn>
              </TableRow>
              <TableRow>
                <TableRowColumn>5</TableRowColumn>
                <TableRowColumn>Christopher Nolan</TableRowColumn>
                <TableRowColumn>Unemployed</TableRowColumn>
              </TableRow>
            </TableBody>
          </Table>
        </div>
      </MuiThemeProvider>
    );
  }
}